function checkUpd() {
    ajax.get("Service/Update.aspx?d=chk&t=" + Math.random(), checkUpdResult);
}
function checkUpdResult(a) {
    k("klog").value += a + "\r\n";   
}
function update() {
    ajax.get("Service/Update.aspx?"+Math.random(), updateResult);
}
function updateResult(a) {
    k("klog").value += a + "\r\n";
    if (a == "更新完毕") {
        k("klog").valu =a;
        alert(a);
        return;
    }
    if (a == "更新错误") {
        alert(a);
        return;
    }
    if (a == "limit") {
        alert("免费用户每天更新数据限制100条");
        k("klog").value = "免费用户每天更新数据限制100条！";
        return;
    }
    rows++;
    if (rows > k("rnums").value) {
        k("klog").value += "更新" + k("rnums").value + "条记录完成.";
        alert("更新" + k("rnums").value + "条记录完成.");
        return;
    }
    if (k("klog").value.length > 300) {
        k("klog").value = "";
        k("klog").scrollTop = k("klog").scrollHeight;
    }
    update();
}
var rows = 0;
function initNums() {
    rows = 0;
}

function clr() {
    k("klog").value = k("rnums").value;
}